<template>
  <div class="common-type survey-date">
    <div class="date-item" v-for="(date, index) in dates" :key="index">
      <img
        class="calendar-icon"
        :src="require('@/assets/images/calendar.svg')"
      />
      <span>{{ getDate(date) }}</span>
    </div>
  </div>
</template>

<script>
import moment from "moment";

export default {
  name: "Date",
  props: {
    dates: { type: Array, default: () => [] },
  },
  methods: {
    getDate(date) {
      return moment(date).format("YYYY/MM/DD h:mm");
    },
  },
};
</script>

<style lang="scss" scoped>
.survey-date {
  padding-top: 10px;
  .date-item {
    display: flex;
    align-items: center;
    padding-bottom: 15px;
  }
  .calendar-icon {
    margin-right: 5px;
  }
}
</style>
